# 项目流程概述
- 创建maven工程
## 回顾JDBC
1. 在pom.xml中使用标签引入MySQL依赖包
2. 准备数据库示例数据
3. 编写JDBC测试类
   1. 加载数据库驱动（新旧版本有区别）
   2. 获取连接（使用数据库地址、用户名、密码）
   3. 执行SQL语句（此处可以加上防注入处理）
   4. 对查询数据返回的数据集进行处理，可以输出到控制台
   5. 关闭连接、释放资源
## 使用Mybatis
1. 添加Maven依赖
   在pom.xml中使用标签引入依赖包
      - mybatis 
      - mysql
2. 创建配置文件mybatis-config.xml
   - 属性配置
     - 驱动
     - 数据库地址
     - 用户名
     - 密码
   - 环境配置
     - 默认环境
     - 其他环境
   - 映射器
     - 指定包名（路径、URL）
3. 创建映射器接口
   - 创建接口，方法名和参数要与映射文件中SQL语句一一对应
4. 编写SQL映射文件
   在MyMapper.xml中编写
   1. 命名空间和唯一标识
      作为参数传入`sqlSession`对象方法中
   2. SQL语句
      操作CRUD，注意映射类型`resultType`
5. 创建数据模型
   数据模型和映射器接口有所不同，可以没有映射器接口但是必须有数据模型，即Java类
6. 编写业务逻辑代码
   in your showtime